Loading...
Searching...
No Matches
etl::io_port_wo< T, Address > Class Template Reference

Write only port. More...

`#include <io_port.h>`

## Public Types

typedef T | value_type
typedef volatile T * | pointer
typedef volatile const T * | const_pointer
typedef volatile T & | reference
typedef volatile const T & | const_reference
typedef etl::private_io_port::iterator< io_port_wo< T, Address > > | iterator

## Public Member Functions

| ETL_STATIC_ASSERT (etl::is_integral< T >::value, "Not an integral type")
iterator | iter ()
| Get an iterator to this port.
void | operator= (value_type value)
| Write.
void | write (value_type value_)
| Write.
pointer | get_address ()
| Get the IO port address.
const_pointer | get_address () const
| Get the IO port address.

## Detailed Description

template<typename T, uintptr_t Address = 0>
class etl::io_port_wo< T, Address >

Write only port.

The documentation for this class was generated from the following file:

- include/etl/io_port.h